import sform

from staff.person.models import VERIFY_CODE_OBJECT_TYPES
from staff.preprofile.forms.fields.field_factory import field_factory


_femida_types = VERIFY_CODE_OBJECT_TYPES.choices(select=('OFFER', 'PREPROFILE'))


femida_object_type = field_factory(sform.ChoiceField, choices=_femida_types)
object_id = field_factory(sform.IntegerField)
code = field_factory(sform.CharField)
